#ifndef MCSOPTIONS_H_
#define MCSOPTIONS_H_

#include <vector>
#include <string>

class ExpaRNAOptions
{
 public:
	ExpaRNAOptions()
		{
			VERSION_ExpaRNA				="0.7.7";
			EPMscoring					= BY_SIZE;
			minPatternSize 				= 2;
			maxPatternNumber 			= 0;
			calcLCSEPM					= false;
			alignColor					= false;
  			verboseOut					= false;
  			alignOut					= false;
  			locarnaOut					= false;
  			epmOut						= false;
  			allOut						= false;
  			psOut 						= true;
  			ignoreGaps					= true;
  			align_file					= "LCS_EPM_align.aln";
  			locarna_file				= "LCS_EPM_LocARNA.fa";
  			epm_file					= "LCS_EPM.epm";
  			all_file					= "allEPM.epm";
  			cmdLineValues.clear();
		};

	ExpaRNAOptions(const ExpaRNAOptions& myOptions): cmdLineValues(myOptions.cmdLineValues),
											 mol1Id(myOptions.mol1Id),
											 mol2Id(myOptions.mol2Id),
											 VERSION_ExpaRNA(myOptions.VERSION_ExpaRNA),
											 EPMscoring(myOptions.EPMscoring),
										     minPatternSize(myOptions.minPatternSize),
										     maxPatternNumber(myOptions.maxPatternNumber),
										     calcLCSEPM(myOptions.calcLCSEPM),
										     alignColor(myOptions.alignColor),
										     verboseOut(myOptions.verboseOut),
										     alignOut(myOptions.alignOut),
										     locarnaOut(myOptions.locarnaOut),
										     epmOut(myOptions.epmOut),
										     allOut(myOptions.allOut),
										     psOut(myOptions.psOut),
										     ignoreGaps(myOptions.ignoreGaps),
										     align_file(myOptions.align_file),
										     locarna_file(myOptions.locarna_file),
										     epm_file(myOptions.epm_file),
										     all_file(myOptions.all_file) {};




	virtual ~ExpaRNAOptions();

		std::vector<std::string>	 cmdLineValues;

		std::string					mol1Id;
		std::string 				mol2Id;
		std::string					VERSION_ExpaRNA;

		enum 				EPMscoringType	{BY_SIZE, BY_QUADSIZE };

		EPMscoringType		EPMscoring;
		int					minPatternSize;
		int					maxPatternNumber;
  		bool				calcLCSEPM;
  		bool				alignColor;
  		bool				verboseOut;
  		bool				alignOut;
  		bool				locarnaOut;
  		bool				epmOut;
  		bool				allOut;
  		bool				psOut;
  		bool				ignoreGaps;
  		std::string			align_file;
  		std::string			locarna_file;
  		std::string			epm_file;
  		std::string			all_file;
};

#endif /*MCSOPTIONS_H_*/
